;***************************************************************************
;*   KeyConstants: Defines all the key values as constants
;*       Coded By: Krylar
;*   Last Updated: 9/14/2001
;***************************************************************************

; the Escape key
Const Key_Escape=1  

; Number keys across the top of the keyboard
Const Key_1=2
Const Key_2=3
Const Key_3=4
Const Key_4=5
Const Key_5=6
Const Key_6=7
Const Key_7=8
Const Key_8=9
Const Key_9=10
Const Key_0=11

; A-Z keys
Const Key_A=30
Const Key_B=48
Const Key_C=46
Const Key_D=32
Const Key_E=18
Const Key_F=33
Const Key_G=34
Const Key_H=35
Const Key_I=23
Const Key_J=36
Const Key_K=37
Const Key_L=38
Const Key_M=50
Const Key_N=49
Const Key_O=24
Const Key_P=25
Const Key_Q=16
Const Key_R=19
Const Key_S=31
Const Key_T=20 
Const Key_U=22
Const Key_V=47
Const Key_W=17
Const Key_X=45
Const Key_Y=21
Const Key_Z=44

; Number-Pad keys
Const Key_NumPad_7=71
Const Key_NumPad_8=72
Const Key_NumPad_9=73
Const Key_NumPad_Sub=74
Const Key_NumPad_4=75
Const Key_NumPad_5=76
Const Key_NumPad_6=77
Const Key_NumPad_Add=78
Const Key_NumPad_1=79
Const Key_NumPad_2=80
Const Key_NumPad_3=81
Const Key_NumPad_Decimal=82
Const Key_NumPad_Equals=141
Const Key_NumPad_Enter=156
Const Key_NumPad_Comma=179
Const Key_NumPad_Divide=181

; Arrow-Pad keys
Const Key_ArrowPad_Home=199
Const Key_ArrowPad_Up=200
Const Key_ArrowPad_PgUp=201
Const Key_ArrowPad_Left=203
Const Key_ArrowPad_Right=205
Const Key_ArrowPad_End=207
Const Key_ArrowPad_Down=208
Const Key_ArrowPad_Next=209
Const Key_ArrowPad_Insert=210
Const Key_ArrowPad_Delete=211

; Function keys
Const Key_F1=59
Const Key_F2=60
Const Key_F3=61
Const Key_F4=62
Const Key_F5=63
Const Key_F6=64
Const Key_F7=65
Const Key_F8=66
Const Key_F9=67
Const Key_F10=68
Const Key_F11=87
Const Key_F12=88
Const Key_F13=100
Const Key_F14=101
Const Key_F15=102

; Country Specific keys
Const Key_OEM_102=86
Const Key_Kana=112
Const Key_ABNT_C1=115
Const Key_Convert=121
Const Key_NoConvert=123
Const Key_Yen=125
Const Key_ABNT_C2=126
Const Key_Kanji=148
Const Key_AX=150

; Media keys
Const Key_PrevTrack=144
Const Key_NextTrack=153
Const Key_Mute=160
Const Key_Play_Pause=162
Const Key_MediaStop=164
Const Key_VolumeDown=174
Const Key_VolumeUp=176
Const Key_MediaSelect=271

; Web keys
Const Key_WebHome=178
Const Key_WebSearch=229
Const Key_WebFavorites=230
Const Key_WebRefresh=231
Const Key_WebStop=232
Const Key_WebForward=233
Const Key_WebBack=234
Const Key_Mail=236

; Windows keys
Const Key_LeftWindows=219
Const Key_RightWindows=220
Const Key_Apps=221
Const Key_Power=222
Const Key_Sleep=223
Const Key_Wake=227
Const Key_MyComputer=235

; Misc keys
Const Key_AT=145
Const Key_Colon=146
Const Key_Underline=147
Const Key_Stop=149
Const Key_Unlabeled=151
Const Key_RightControl=157
Const Key_Calculator=161
Const Key_SysReq=183
Const Key_RightAlt=184
Const Key_Pause=197
Const Key_Minus=12
Const Key_Equals=13
Const Key_Backspace=14
Const Key_Tab=15
Const Key_LeftBracket=26
Const Key_RightBracket=27
Const Key_Enter=28
Const Key_LeftControl=29
Const Key_SemiColon=39
Const Key_Apostrophe=40
Const Key_Grave=41
Const Key_LeftShift=42
Const Key_Backslash=43
Const Key_Comma=51
Const Key_Period=52
Const Key_ForwardSlash=53
Const Key_RightShift=54
Const Key_KP_Multiply=55
Const Key_LeftAlt=56
Const Key_Space=57
Const Key_Caps=58
Const Key_NumLock=69
Const Key_ScrollLock=70


Const ASCII_Backspace=8
Const ASCII_Escape=27
Const ASCII_Enter=13
Const ASCII_LeftArrow=31
Const ASCII_RightArrow=30
Const ASCII_Delete=4
Const ASCII_Insert=3
Const ASCII_Home=1
Const ASCII_End=2